## org.apache.lucene.benchmark.byTask.stats
Class Report

    java.lang.Object
      org.apache.lucene.benchmark.byTask.stats.Report

    public class Report

extends java.lang.Object

Textual report of current statistics.

Constructor Summary
`Report(java.lang.String text, int size, int reported, int outOf)`

Method Summary
`int` `getOutOf()` Returns total number of stats points when this report was created.
`int` `getReported()` Returns number of stats points represented in this report.
`int` `getSize()` Returns number of lines in the report.
`java.lang.String` `getText()` Returns the report text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report

    public Report(java.lang.String text,
                  int size,
                  int reported,
                  int outOf)

Method Detail

### getOutOf

    public int getOutOf()

  Returns total number of stats points when this report was created.

### getSize

    public int getSize()

  Returns number of lines in the report.

### getText

    public java.lang.String getText()

  Returns the report text.

### getReported

    public int getReported()

  Returns number of stats points represented in this report.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.